Bug 136431 - Problem with pa.po
Problem with pa.po
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: A S Alam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 19:55 EDT by Owen Taylor
Modified: 2013-07-02 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 13:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
GTK -2.4.po file after fixing bug136431 (64.76 KB, text/plain)
2004-10-20 00:46 EDT, A S Alam
no flags Details

  None (edit)
Description Owen Taylor 2004-10-19 19:55:20 EDT
[ Please reassign appropriately ]

From GTK+'s pa.po

#. Translate to default:RTL if you want your widgets
#. * to be RTL, otherwise translate to default:LTR.
#. * Do *not* translate it to "predefinito:LTR", if it
#. * it isn't default:LTR or default:RTL it will not work
#.
#: gtk/gtkmain.c:855
msgid "default:LTR"
msgstr "ਮੂਲ:LTR"

This means that every app run in the 'pa_IN' locale will
produce:

Gtk-WARNING **: Whoever translated default:LTR did so wrongly.

There's also cosmetic problem that the first 50 lines or so
of the po file are:

# translation of gtk+.gtk-2-4.pa.po to Punjabi
# translation of gtk+.gtk-2-4.pa.po to Punjabi
...
Comment 1 Leon Ho 2004-10-19 20:13:09 EDT
Aman, it would be great if you can fix it, commit it to gnome cvs and
attach the corrected po file in here so that engineer can rebuild it.
Comment 2 A S Alam 2004-10-20 00:46:21 EDT
Created attachment 105493 [details]
GTK -2.4.po file after fixing bug136431

GTK -2.4.po file after fixing bug136431
Comment 3 A S Alam 2004-10-20 00:47:59 EDT
file is attached after changing 

default:LTR
Comment 4 Matthias Clasen 2004-10-20 10:18:28 EDT
I have committed the patch upstream; the fix will appear in the next
package together with some other i18n fixes from owen.
Comment 5 Owen Taylor 2004-10-20 13:27:07 EDT
gtk+-2.4.13-2 has the fix.

Note You need to log in before you can comment on or make changes to this bug.